@font-face {
    font-family: Varela;
    src: URL('../../content/fonts/Varela.ttf');
}

body {
	width: 100vw;
	height: 100vh;
	position: fixed;
	background:rgb(18, 18, 18);
	top: 0;
	left: 0;
    font-family: Varela, Helvetica, Arial;
}

#login {
	width: 80vw;
	height: 80vh;
    display: flex;
	margin: 10vh 10vw;
	background:rgb(18, 18, 18);
	border-radius: 3px;
	border: 1px solid rgb(192, 192, 192);
    color: rgb(192, 192, 192);
    font-size: 14px;
}	
#login .content {
    width: 100%;
}

#login .design {
	width: 50%;
	height: 100%;
	background: URL('../../content/images/design2.jpg') no-repeat;
	background-position: bottom center;
    background-size: auto 100%;
}
#login .design div {
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
    display: flex;
	flex-wrap: wrap;
    flex-direction: column;
    align-content: center;
    justify-content: center;
}
#login .design div img {
	width:50%;
	height: fit-content;
}

#login .form {
    width: 50%;
    height: 100%;
    padding: 0 7.5%;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    align-items: center;
}
#login .form form {
	width: 100%;
    margin: auto;
}
#login .form .title {
	width: 100%;
	text-align: left;
	font-size: 2rem;
	font-family: Oswald;
	font-weight: bold;
	margin: 20 0;
	text-transform: uppercase;
}
#login .form .text {
	margin: 15 0;
}
#login .form input {
    margin: 3 5 15;
    height: 34px;
    border-radius: 3px;
    padding: 0.375rem 0.575rem;
    font-weight: 400;
    line-height: 1.5;
    font-size: 15px;
    color: #495057;
    border: 1px solid #ced4da;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
#login .form input:focus {
    color: #495057;
    background-color: #fff;
    border-color: #80bdff;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
#login .form button {
    padding: 10px 30px;
    border: 2px solid rgb(198, 228, 255);
    background: rgb(198, 228, 255);
    color: rgb(0, 0, 0);
    border-radius: 50px;
    letter-spacing: 1px;
    font-size: 1rem;
    transition: 0.4s all;
    cursor: pointer;
}
#login .form button:hover {
    background: transparent;
    color: rgb(198, 228, 255);
    font-weight: bold;
}

#login .form .opt {
	width: 100%;
	margin-top: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    flex-wrap: wrap;    
	overflow: hidden;
}
#login .form .opt button { width: 100%; }
#login .form .opt span {
	cursor: pointer;
}
#login .form .opt span:hover {
	text-decoration: underline;
}

@media only screen and (max-width:1000px) {

	#login .design { display:none; }
	#login .form { width: 100%; }

    .content #acesso div {
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-start;
    }
    .content #acesso div input {
        margin: 10 0 !important;
        width: -webkit-fill-available;
    }

}



.loading-spinner {
	width: 100%;
	height: fit-content;
	margin: 30 0;
	display: flex;
	flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
}
button .loading-spinner { margin: 0 !important; }
button .loading-spinner svg {
	width: 15px !important;
	height: 15px !important;
}
.loading-spinner svg {
    animation: rotate 2s linear infinite;
    z-index: 2;
    width: 50px;
    height: 50px;
}
.loading-spinner svg circle {
    stroke: rgb(198, 228, 255);
    stroke-linecap: round;
    animation: dash 1.5s ease-in-out infinite;
}
@keyframes rotate {
    100% {
        transform: rotate(360deg);
   }
}
@keyframes dash {
    0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
   }
    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35;
   }
    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124;
   }
}